package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.datastructure.AbstractFurniture;
import de.hft.stuttgart.citydoctor2.gui.CheckStatus;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class FurnitureNode extends Renderable{

    private final AbstractFurniture furniture;

    public FurnitureNode(AbstractFurniture furniture) {
        this.furniture = furniture;
    }

    @Override
    public String getText() {
        return furniture.getGmlId().getGmlString();
    }


    @Override
    public void visit(Renderer renderer) {
        renderer.render(furniture);
    }

    @Override
    public void refreshTextColor() {
        if (!furniture.isValidated()) {
            setStatus(CheckStatus.NOT_CHECKED);
        } else if (furniture.containsAnyError()) {
            setStatus(CheckStatus.ERROR);
        } else {
            setStatus(CheckStatus.OK);
        }
    }
}
